import java.awt.*;
import java.awt.event.*;
import java.util.*;
import java.awt.geom.*; 
import javax.swing.*; 
import javax.swing.event.*;

/**
 * Clase para definir el formato y tipo de los botones utilizados
 * @author Juan Pablo Carvallo B.
 */
 public class Botones extends JToggleButton
 {
  private final int dWidth = 100;
  private final int dHeight = 60;
 
 /**
 * Constructor. Crea un nuevo botn
 * @param nombre El nombre que aparece bajo el botn.
 * @param path El archivo de imagen para el botn.
 */ 
 public Botones(String nombre, String path)
 {
  setText(nombre);
  //setIcon(new ImageIcon(path));
  setSize(new Dimension(dWidth, dHeight));
  setVerticalTextPosition(AbstractButton.BOTTOM); 
  setHorizontalTextPosition(AbstractButton.CENTER);
  setActionCommand(nombre);
  }
  
/**
 * Retorna tamao mnimo preferido, que se ha hecho igual al preferido.
 * @return el <tt>tamao preferido</tt>.
 */
  public Dimension getMinimumSize()
  {
    return getPreferredSize();
  }
  
/**
 * Retorna tamao preferido, diseado para visualizacin correcta en pantalla.
 * @return el <tt>tamao preferido</tt>.
 */
  public Dimension getPreferredSize()
  {
    return new Dimension(dWidth, super.getPreferredSize().height);
  }
  
/**
 * Retorna tamao mximo preferido, que se ha hecho igual al preferido.
 * @return el <tt>tamao preferido</tt>.
 */
  public Dimension getMaximumSize()
  {
    return getPreferredSize();
  }
  
 }
