import java.awt.*;
import java.awt.event.*;
import java.util.*;
import java.awt.geom.*; 
import javax.swing.*; 
import javax.swing.event.*;
import java.applet.*;

/** 
 * Clase que crea el panel principal, que contiene los dems paneles.
 * @author Juan Pablo Carvallo B.
 */
public class MainPanel extends JPanel
{

/**
 * Panel para botones de Figura
 */
private PanelFiguras gui = new PanelFiguras();
/**
 * Panel para botones de Accion
 */
private PanelAcciones gui2 = new PanelAcciones();
/**
 * Panel para dibujar
 */
private DrawingPanel gui3 = new DrawingPanel();
/**
 * Define el layout a utilizar para ordenar los paneles
 */
private SpringLayout layout = new SpringLayout();

private JPanel palBoton = new JPanel();
private JButton webBoton = new JButton("Web");

private final int doscientos = 200;
private final int cinco = 5;
private final int menosCinco = -5;

private final int dbWidth = 100;
private final int dbHeight = 30;

private final int red = 100;
private final int green = 50;
private final int blue = 200;

//Constructor
/**
 * Constructor. Define el layout para los objetos (paneles) 
 * y agrega estos ltimos.
 * @param app El Applet es pasado a travs de "this".
 */
public MainPanel(final Editor app)
{
setLayout(layout);
layout.putConstraint(SpringLayout.WEST, gui, 
   cinco, SpringLayout.WEST, this); 
layout.putConstraint(SpringLayout.NORTH, gui, 
   cinco, SpringLayout.NORTH, this);

layout.putConstraint(SpringLayout.WEST, gui2, 
   cinco, SpringLayout.WEST, this); 
layout.putConstraint(SpringLayout.NORTH, gui2, 
   cinco, SpringLayout.SOUTH, gui);

layout.putConstraint(SpringLayout.WEST, palBoton, 
   cinco, SpringLayout.WEST, this); 
layout.putConstraint(SpringLayout.NORTH, palBoton, 
   cinco, SpringLayout.SOUTH, gui2);

layout.putConstraint(SpringLayout.WEST, gui3, 
   doscientos, SpringLayout.WEST, this);
layout.putConstraint(SpringLayout.NORTH, gui3, 
   cinco, SpringLayout.NORTH, this);

layout.putConstraint(SpringLayout.EAST, gui, 
   menosCinco, SpringLayout.WEST, gui3);
layout.putConstraint(SpringLayout.EAST, gui2, 
   menosCinco, SpringLayout.WEST, gui3);
layout.putConstraint(SpringLayout.EAST, palBoton, 
   menosCinco, SpringLayout.WEST, gui3);

layout.putConstraint(SpringLayout.EAST, this, 
   cinco, SpringLayout.EAST, gui3);
layout.putConstraint(SpringLayout.SOUTH, this, 
   cinco, SpringLayout.SOUTH, gui3);

add(gui); add(gui2); add(gui3);
setWeb(app); add(palBoton); 
setOpaque(true);
 }

/**
 * Configura el panel y el nuevo botn para
 * desplegar la pgina web.
 * @param appl El mismo Applet pasado desde MainPanel
 */
public void setWeb(final Editor appl)
{ webBoton.setBorder(BorderFactory.createLineBorder(Color.black));
  webBoton.setSize(new Dimension(dbWidth, dbHeight));
  webBoton.addActionListener(new 
               ActionListener()
               {
                  public void actionPerformed(ActionEvent event)
                  {
                    appl.doWeb(); 
                  }
               });
 palBoton.setBorder(BorderFactory.createLineBorder(Color.black));
 palBoton.setBackground(new Color(red, green, blue));
 palBoton.setOpaque(true);
 palBoton.add(webBoton); }
 
}
